---
- name: "[Post-Upgrade Stage] Verify whether PostgreSQL is started"
  shell: |
    if pgrep -lx postgres; then
      exit 0
    else
      exit 1
    fi
  register: postgres_state
  until: postgres_state.rc == 0
  retries: 10
  delay: 5
  tags:
    - check-postgres-started
    - post-upgrade

- name: "[Post-Upgrade Stage] Open Traffic"
  import_role:
    name: control_traffic
    tasks_from: open_access
  tags:
    - post-upgrade
    - open-access

- name: "[Post-Upgrade Stage] Test PostgreSQL DB Access"
  command:
    "gitlab-psql -tAXc \"SELECT pg_is_in_recovery()\""
  register: db_access
  until: db_access.stdout == "f"
  retries: 60
  delay: 5
  tags:
    - test-db-access
    - post-upgrade

- name: "[Post-Upgrade Stage] Verify PostgreSQL Version"
  command:
    "gitlab-psql -tAXc \"SELECT version()\""
  register: version
  tags:
    - test-db-access
    - post-upgrade

- debug:
    msg: PostgreSQL version installed - {{ version.stdout }}
  tags:
    - post-upgrade
    - postgres-version

- name: "[Post-Upgrade Stage] Get list of updated packages"
  shell: dpkg -l | grep postgres
  register: updated_packages
  tags:
    - post-upgrade

- debug:
    var: updated_packages.stdout
  tags:
    - post-upgrade

- name: "[Post-Upgrade Stage] Enable chef-client"
  become: true
  become_user: root
  command: /usr/local/bin/chef-client-enable
  tags:
    - start-chef
    - post-upgrade

- name: "[Post-Upgrade Stage] Run chef-client"
  become: true
  become_user: root
  command: /usr/bin/chef-client
  tags:
    - start-chef
    - post-upgrade
